Bug 873776 - Duplicate String: Candlepin has messages for "No such environment : {0}" and "No such environment: {0}"
Duplicate String: Candlepin has messages for "No such environment : {0}" and ...
Status: VERIFIED
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: William Poteat
SAM QE List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-06 11:58 EST by Matt Reid
Modified: 2015-05-14 12:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Reid 2012-11-06 11:58:12 EST
Description of problem:
I just checked out latest candlepin from github and we have strings for "No such environment : {0}" as well as "No such environment: {0}". 

From keys.pot:
#: src/main/java/org/candlepin/resource/EnvironmentResource.java:98
#: src/main/java/org/candlepin/resource/EnvironmentResource.java:117
#: src/main/java/org/candlepin/resource/ConsumerResource.java:717
#, java-format
msgid "No such environment: {0}"
msgstr ""

#: src/main/java/org/candlepin/resource/EnvironmentResource.java:247
#, java-format
msgid "No such environment : {0}"
msgstr ""


Seems like we could eliminate a string and call the version without the extra space from EnvironmentResource.java:247

Version-Release number of selected component (if applicable):
candlepin-0.7.18-1
Comment 1 Tom McKay 2012-12-18 09:40:45 EST
Switching product from Subscription Asset Manager to Candlepin for visibility
Comment 2 William Poteat 2013-01-07 13:31:48 EST
commit 8e2dcc8dd2fc4310ed2687843ad1a0ae6994bd8b
Comment 3 Devan Goodwin 2013-06-20 11:27:36 EDT
(dgoodwin@lenovo {master} ~/src/candlepin) $ cat po/keys.pot| grep "No such env"
msgid "No such environment: {0}"



Verified.

Note You need to log in before you can comment on or make changes to this bug.